function NSBCreateFrame(skin)
local fr = CreateFrame("Frame","NugStackBar");
if skin == "oldstyle" then
    fr:SetFrameStrata("MEDIUM")
    fr:SetWidth(256)
    fr:SetHeight(32)
    fr:EnableMouse(false)

    ft = fr:CreateTexture("NugStackBarBackground","BACKGROUND")
    ft:SetTexture("Interface\\Addons\\NugStackBar\\textures\\oldstyle\\NCBBackground")
    ft:SetAllPoints(fr)
    ft:SetVertexColor(unpack(NSB.db.profile.colors[6]))

    for i=1, 5 do
        local f = CreateFrame("Frame","NugStackBarPoint"..i,fr)
        
        if i == 5 then
            f:SetWidth(17)
            f:SetHeight(17)
        else
            f:SetWidth(13)
            f:SetHeight(13)
        end
        if i == 1 then
            f:SetPoint("LEFT","NugStackBar","LEFT",71,2)
        elseif i == 4 then
            f:SetPoint("CENTER","NugStackBarPoint"..(i-1),"CENTER",23,0)
        elseif i == 5 then
            f:SetPoint("CENTER","NugStackBarPoint"..(i-1),"CENTER",27,0)
        else
            f:SetPoint("CENTER","NugStackBarPoint"..(i-1),"CENTER",24,0)
        end
        local h = f:CreateTexture("NugStackBarPoint"..i.."Highlight","ARTWORK")
        h:SetTexture("Interface\\Addons\\NugStackBar\\textures\\oldstyle\\NCBPoint")
        
        if i == 5 then
            h:SetWidth(16)
            h:SetHeight(16)
        else
            h:SetWidth(12)
            h:SetHeight(12)
        end
        h:SetAlpha(0)
        h:SetPoint("TOPLEFT","NugStackBarPoint"..i,2,0)
        h:SetVertexColor(unpack(NSB.db.profile.colors[i]))
        
        local s = f:CreateTexture("NugStackBarPoint"..i.."Shine","OVERLAY")
        s:SetTexture("Interface\\Addons\\NugStackBar\\textures\\oldstyle\\NCBShine")
        
        if i == 5 then
            s:SetWidth(20)
            s:SetHeight(20)
        else
            s:SetWidth(16)
            s:SetHeight(16)
        end
        s:SetAlpha(0)
        s:SetBlendMode("ADD")
        s:SetPoint("TOPLEFT","NugStackBarPoint"..i,3,4)
    end
elseif skin == "striped" then
    fr:SetFrameStrata("MEDIUM")
    fr:SetWidth(256)
    fr:SetHeight(64)
    fr:EnableMouse(false)

    ft = fr:CreateTexture("NugStackBarBackground","BACKGROUND")
    ft:SetTexture("Interface\\Addons\\NugStackBar\\textures\\striped\\StripedBG")
    ft:SetAllPoints(fr)
    ft:SetVertexColor(unpack(NSB.db.profile.colors[6]))

    for i=1, 5 do
        local f = CreateFrame("Frame","NugStackBarPoint"..i,fr)
        
        f:SetWidth(64)
        f:SetHeight(64)
        if i == 1 then
            f:SetPoint("LEFT","NugStackBar","LEFT",49,0)
        elseif i == 5 then
            f:SetPoint("CENTER","NugStackBarPoint"..(i-1),"CENTER",23,0)
        else
            f:SetPoint("CENTER","NugStackBarPoint"..(i-1),"CENTER",22,0)
        end
        local h = f:CreateTexture("NugStackBarPoint"..i.."Highlight","ARTWORK")
        h:SetTexture("Interface\\Addons\\NugStackBar\\textures\\striped\\StripedPT")
        
        h:SetWidth(64)
        h:SetHeight(64)
        
        h:SetAlpha(0)
        h:SetPoint("TOPLEFT","NugStackBarPoint"..i,2,0)
        h:SetVertexColor(unpack(NSB.db.profile.colors[i]))
        
        local s = f:CreateTexture("NugStackBarPoint"..i.."Shine","OVERLAY")
        s:SetTexture("Interface\\Addons\\NugStackBar\\textures\\striped\\StripedSN")
        
        s:SetWidth(64)
        s:SetHeight(64)
        
        s:SetAlpha(0)
        s:SetBlendMode("ADD")
        s:SetPoint("TOPLEFT","NugStackBarPoint"..i,3,4)
    end
    

end
    
    fr:SetScale(NSB.db.profile.scale)
    fr:SetPoint("CENTER",UIParent,"CENTER",NSB.db.profile.posX,NSB.db.profile.posY)
    fr:Hide()
    return fr
end
